-----------------------------------------------
----------Addon:Currency List -----------------
----------Author: Thoughts Of Glought ---------
-----------------------------------------------

 SLASH_CURRENCYLIST1 = "/crl"
 SlashCmdList["CURRENCYLIST"] = function(msg, editBox)
  print("|cff00FF00Currency List Color Codes:")
  print("|cff00FFFFCyan:When near or at max amount allowed (150 below max)")
  print("|cffffff00Yellow:250 to 499 of weekly amount earned")
  print("|cFFFFA500Orange:500 to 749 of weekly amount earned")
  print("|cffff6060Light Red:750 to 999 of weekly amount earned")
  print("|cffff0000Red:Reached Maximum weekly amount allowed")
 end


function CurrencyListFrame_OnEvent(self, event, ...)
	if (event == "CHAT_MSG_MONEY") or
	(event == "CURRENCY_DISPLAY_UPDATE") or
	(event == "PLAYER_ENTERING_WORLD")or
	(event == "CURSOR_UPDATE") then
		local summary = "Currency List|n"
		local count3 = 0
		local maxSize = GetCurrencyListSize()

		for i=1 , maxSize, 1 do

			local test = CurrencyList_DescribeCurrency(i)
			if (test ~= nil) then
				summary = string.format("%s%s",summary,test)
				count3 = count3 + 1
			end
		end

		CurrencyListText:SetText(summary)

		-- resize the frame
		CurrencyListFrame:SetHeight((count3+1) * 14)
		CurrencyListText:SetHeight((count3+1) * 14)

	elseif (event == "VARIABLES_LOADED") then
		-- configure config panel
		CurrencyListConfig = {}
		CurrencyListConfig.panel = CreateFrame( "Frame", "CurrencyList_Config", UIParent );
		myButtonCl = CreateFrame("Button","CurrencyListResetButton", CurrencyListConfig.panel,"UIPanelButtonTemplate")
		myButtonCl:SetPoint("TOPLEFT",CurrencyListConfig.panel,"TOPLEFT",100,-100)
		myButtonCl:SetWidth(100)
		myButtonCl:SetText("Reset Position")
		myButtonCl:SetScript("OnClick", function(self) CurrencyListFrame:SetPoint("BOTTOMLEFT", "UIParent", "BOTTOMLEFT", 100, 100) end)

		-- Register in the Interface Addon Options GUI
		-- Set the name for the Category for the Options Panel
		CurrencyListConfig.panel.name = "CurrencyList";

		-- Add the panel to the Interface Options
		InterfaceOptions_AddCategory(CurrencyListConfig.panel);
	end
end

function CurrencyList_DescribeCurrency(currency)
	local CurrencyListStatus = nil
	if (currency ~= nil) then
		local name, isHeader, isExpanded, isUnused, isWatched, count, icon, maximum, hasWeeklyLimit, currentWeeklyAmount, unknown = GetCurrencyListInfo(currency)
		local nearMax = false

		if(isHeader == false and isUnused == false) then

			local countString = string.format("%s",count)

			if(name == "Honor Points") then
				if(count >= 3850) then
					countString = string.format("|cff00FFFF%s",countString) -- cyan
				end
			end

			if(name == "Conquest Points") then
				if(count >= 4850) then
					countString = string.format("|cff00FFFF%s",countString) -- cyan
				end
			end
			CurrencyListStatus = string.format("\124T%s:0:0:2:0\124t|cff999900 %s|t: %s|n", icon,name, countString)
		else
		--print("skipped header")
		end

		return CurrencyListStatus
	end
end -- end off function

function CurrencyListFrame_OnLoad(self)
	self:RegisterEvent("CHAT_MSG_MONEY")
	self:RegisterEvent("CURRENCY_DISPLAY_UPDATE")
	self:RegisterEvent("PLAYER_ENTERING_WORLD")
	self:RegisterEvent("VARIABLES_LOADED")
	self:RegisterEvent("CURSOR_UPDATE")
end